### Name: NMF-class
### Title: Interface class for Nonnegative Matrix Factorisation models
### Aliases: NMF-class [,NMF-method dim,NMF-method distance
###   distance,matrix,NMF-method featureNames featureNames,NMF-method
###   featureNames<- featureNames<-,NMF-method fitted,NMF-method
###   is.empty.nmf is.empty.nmf,NMF-method nbasis nbasis,NMF-method random
###   random-methods random,NMF,numeric-method random,NMF,matrix-method
###   random,NMF,missing-method sampleNames sampleNames,NMF-method
###   sampleNames<- sampleNames<-,NMF-method sampleNames<-,NMF,ANY-method
###   show,NMF-method summary,NMF-method
### Keywords: classes

### ** Examples


# show all the NMF models available (i.e. the classes that inherit from class NMF)
nmf.models()
# show all the built-in NMF models available
nmf.models(builtin.only=TRUE)

# class NMF is a virtual class so cannot be instantiated: 
# the following generates an error
## Not run: new('NMF')

# To instantiate a NMF model, use factory method newNMF (see ?newNMF)
newNMF(3)
newNMF(3, model='NMFns')




