### Name: NMF-package
### Title: NMF Package Overview
### Aliases: NMF-package NMF
### Keywords: package

### ** Examples


# run default NMF algorithm on a random matrix
V <- matrix(runif(10000), 500, 20)
res <- nmf(V, 3)
res

# compute some quality measures
summary(res)

# Visualize the results as heatmaps
## Not run: metaheatmap(res) # mixture coefficients
## Not run: metaheatmap(res, 'features') # basis vectors

# run default NMF algorithm on a random matrix with actual patterns
set.seed(123456)
V <- syntheticNMF(500, 3, 20, noise=TRUE)
res <- nmf(V, 3)
res

# compute some quality measures
summary(res)

# Visualize the results as heatmaps
## Not run: metaheatmap(res) # mixture coefficients
## Not run: metaheatmap(res, 'features') # basis vectors




