### Name: NMFOffset-class
### Title: Nonnegative Matrix Factorization with Offset
### Aliases: NMFOffset-class fitted,NMFOffset-method
###   initialize,NMFOffset-method offset,NMFOffset-method
###   random,NMFOffset,numeric-method show,NMFOffset-method
### Keywords: classes

### ** Examples


# create a completely empty NMF object
new('NMFOffset')

# create a NMF object based on random (compatible) matrices
n <- 50; r <- 3; p <- 20
w <- matrix(runif(n*r), n, r) 
h <- matrix(runif(r*p), r, p)
newNMF(model='NMFOffset', W=w, H=h, offset=rep(0.5, nrow(w)))

# apply Nonsmooth NMF algorithm to a random target matrix
V <- matrix(runif(n*p), n, p)
## Not run: nmf(V, r, 'offset')




