### Name: NMFSet-class
### Title: Class to store results from multiple runs of NMF algorithms
### Aliases: NMFSet-class algorithm,NMFSet-method cophcor,NMFSet-method
###   compare compare,NMFSet-method compare,list-method
###   connectivity,NMFSet-method dispersion,NMFSet-method
###   entropy,NMFSet,ANY-method errorPlot,NMFSet-method
###   featureNames,NMFSet-method fit,NMFSet-method join join,list-method
###   metaHeatmap,NMFSet-method nrun nrun,NMFSet-method
###   purity,NMFSet,ANY-method predict,NMFSet-method
###   residuals,NMFSet-method rss,NMFSet-method runtime,NMFSet-method
###   sampleNames,NMFSet-method show,NMFSet-method summary,NMFSet-method
### Keywords: classes

### ** Examples


# generate a synthetic dataset with known classes
n <- 50; counts <- c(5, 5, 8);
V <- syntheticNMF(n, counts, noise=TRUE)

# build the class factor
groups <- as.factor(do.call('c', lapply(seq(3), function(x) rep(x, counts[x]))))

# perform multiple runs of one algorithm
res <- nmf(V, 3, nrun=20)
res

# plot a heatmap of the consensus matrix
## Not run: metaHeatmap(res)

# run multiple methods
res <- nmf(V, 3, list('brunet', 'lee', 'nsNMF'))
# compare the results passing prior knowledge on classes
compare(res, class=groups)




