### Name: NMFfit-class
### Title: Base Class for to store Nonnegative Matrix Factorisation results
### Aliases: NMFfit-class algorithm algorithm<- algorithm,NMFfit-method
###   algorithm<-,NMFfit,ANY-method basis<-,NMFfit,matrix-method
###   basis,NMFfit-method coef,NMFfit-method coef<-,NMFfit,matrix-method
###   distance,matrix,NMFfit-method errorPlot errorPlot,NMFfit-method extra
###   extra-methods extra,NMFfit-method fit-methods fit fit,NMFfit-method
###   fit<- fit<-,NMFfit,NMF-method fitted,NMFfit-method objective
###   objective<- objective,NMFfit-method
###   objective<-,NMFfit,character-method
###   objective<-,NMFfit,function-method residuals<- residuals<--methods
###   residuals<-,NMFfit-method runtime runtime,NMFfit-method seeding
###   seeding-methods seeding,NMFfit-method seeding<-
###   seeding<-,NMFfit-method show,NMFfit-method summary,NMFfit-method
### Keywords: classes

### ** Examples


# run default NMF algorithm on a random matrix
n <- 50; r <- 3; p <- 20
V <- matrix(runif(n*p), n, p)  
res <- nmf(V, r)                                                        

# result class is NMFfit
class(res)

# show result
res

# compute summary measures
summary(res)




