### Name: NMFns-class
### Title: Nonsmooth Nonnegative Matrix Factorization
### Aliases: NMFns-class fitted,NMFns-method random,NMFns,numeric-method
###   show,NMFns-method smoothing smoothing-methods smoothing,NMFns-method
### Keywords: classes

### ** Examples


# create a completely empty NMF object
new('NMFns')

# create a NMF object based on random (compatible) matrices
n <- 50; r <- 3; p <- 20
w <- matrix(runif(n*r), n, r) 
h <- matrix(runif(r*p), r, p)
newNMF(model='NMFns', W=w, H=h)

# apply Nonsmooth NMF algorithm to a random target matrix
V <- matrix(runif(n*p), n, p)
## Not run: nmf(V, r, 'ns')




